Index: trunk/src/story_entities/simple_game_menu.cc
===================================================================
--- trunk/src/story_entities/simple_game_menu.cc	(revision 6882)
+++ trunk/src/story_entities/simple_game_menu.cc	(revision 6883)
@@ -174,5 +174,7 @@
       this->menuStartGame = dynamic_cast<ImageEntity*>(*entity);
       this->menuStartGame->setBindNode((const PNode*)NULL);
-      this->menuStartGame->setRelCoor2D(State::getResX() / 2.0f, State::getResY() / 2.0f + (this->menuLayer[0]->menuList.size() * 50.0f), 0.0f);
+      this->menuStartGame->setRelCoor2D(State::getResX() / 2.0f,
+                                        State::getResY() / 2.0f - 60.0f,
+                                        0.0f);
       this->menuLayer[0]->menuList.push_back(dynamic_cast<ImageEntity*>(*entity));
 
@@ -182,5 +184,7 @@
       this->menuStartMultiplayerGame = dynamic_cast<ImageEntity*>(*entity);
       this->menuStartMultiplayerGame->setBindNode((const PNode*)NULL);
-      this->menuStartMultiplayerGame->setRelCoor2D(State::getResX() / 2.0f, State::getResY() / 2.0f + (this->menuLayer[0]->menuList.size() * 50.0f), 0.0f);
+      this->menuStartMultiplayerGame->setRelCoor2D(State::getResX() / 2.0f,
+                                                   State::getResY() / 2.0f + ((this->menuLayer[0]->menuList.size() -1 ) * 60.0f),
+                                                   0.0f);
       this->menuLayer[0]->menuList.push_back(dynamic_cast<ImageEntity*>(*entity));
     }
@@ -189,5 +193,7 @@
       this->menuQuitGame = dynamic_cast<ImageEntity*>(*entity);
       this->menuQuitGame->setBindNode((const PNode*)NULL);
-      this->menuQuitGame->setRelCoor2D(State::getResX() / 2.0f, State::getResY() / 2.0f + (this->menuLayer[0]->menuList.size() * 50.0f), 0.0f);
+      this->menuQuitGame->setRelCoor2D(State::getResX() / 2.0f,
+                                       State::getResY() / 2.0f + ((this->menuLayer[0]->menuList.size() -1 )* 60.0f),
+                                       0.0f);
       this->menuLayer[0]->menuList.push_back(dynamic_cast<ImageEntity*>(*entity));
     }
@@ -214,5 +220,6 @@
       ie->setVisibility(false);
       ie->setBindNode((const PNode*)NULL);
-      ie->setRelCoor2D(State::getResX() / 2.0f, State::getResY() / 2.0f + (this->menuLayer[1]->menuList.size() * 50.0f), 0.0f);
+      ie->setRelCoor2D(State::getResX() / 2.0f - 200.0f, State::getResY() / 2.0f + ((this->menuLayer[1]->menuList.size() - 2.0f) * 60.0f), 0.0f);
+      ie->setSize2D(100.0f, 50.0f);
       this->menuLayer[1]->menuList.push_back(ie);
 
@@ -220,8 +227,8 @@
       ie = new ImageEntity();
       ie->setTexture(se->getMenuScreenshoot());
-      //ie->setRelCoor(10.0f, 10.0f, 0.0f);
       ie->setVisibility(false);
       ie->setBindNode((const PNode*)NULL);
-      ie->setRelCoor2D(State::getResX() / 2.0f + 200.0f, State::getResY() / 2.0f, 0.0f);
+      ie->setRelCoor2D(State::getResX() / 2.0f + 250.0f, State::getResY() / 2.0f, 0.0f);
+      ie->setSize2D(100.0f, 75.0f);
       this->menuLayer[1]->screenshootList.push_back(ie);
     }
@@ -359,4 +366,10 @@
       this->menuSelected = this->menuLayer[this->layerIndex]->menuList[++this->menuSelectedIndex];
       this->menuSelector->setAbsCoor2D(this->menuSelected->getAbsCoor2D());
+
+      if( this->layerIndex == 1)
+      {
+        this->menuLayer[1]->screenshootList[this->menuSelectedIndex]->setVisibility(true);
+        this->menuLayer[1]->screenshootList[this->menuSelectedIndex-1]->setVisibility(false);
+      }
     }
   }
@@ -367,4 +380,10 @@
       this->menuSelected = this->menuLayer[this->layerIndex]->menuList[--this->menuSelectedIndex];
       this->menuSelector->setAbsCoor2D(this->menuSelected->getAbsCoor2D());
+
+      if( this->layerIndex == 1)
+      {
+        this->menuLayer[1]->screenshootList[this->menuSelectedIndex]->setVisibility(true);
+        this->menuLayer[1]->screenshootList[this->menuSelectedIndex+1]->setVisibility(false);
+      }
     }
   }
@@ -404,9 +423,4 @@
     (*it)->setVisibility(true);
   }
-    //also fade the screenshots if in level choosement mode
-  for( it = this->menuLayer[layer1]->screenshootList.begin(); it != this->menuLayer[layer1]->screenshootList.end(); it++)
-  {
-    (*it)->setVisibility(true);
-  }
 
 
@@ -415,4 +429,7 @@
   this->menuSelector->setAbsCoor2D(this->menuSelected->getAbsCoor2D());
   this->menuSelectedIndex = 0;
+
+  if( layer2 == 1)
+    this->menuLayer[layer2]->screenshootList[0]->setVisibility(true);
 }
 
